/* 	Connection.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Feb 11, 2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.brains2b.jdbc;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class Connection {

	private String m_id;
	private String m_driver;
	private String m_url;
	private String m_user;
	private String m_password;
	/**
	 * 
	 */
	public Connection() {
		super();
		
	}
	
	public Connection(String id, String driver, String url, String user, String password) {
		super();
		m_id=id;
		m_driver=driver;
		m_url=url;
		m_user=user;
		m_password=password;
	}

	/**
	 * @return
	 */
	public String getDriver() {
		return m_driver;
	}

	/**
	 * @return
	 */
	public String getPassword() {
		return m_password;
	}

	/**
	 * @return
	 */
	public String getUrl() {
		return m_url;
	}

	/**
	 * @return
	 */
	public String getUser() {
		return m_user;
	}

	/**
	 * @param string
	 */
	public void setDriver(String string) {
		m_driver = string;
	}

	/**
	 * @param string
	 */
	public void setPassword(String string) {
		m_password = string;
	}

	/**
	 * @param string
	 */
	public void setUrl(String string) {
		m_url = string;
	}

	/**
	 * @param string
	 */
	public void setUser(String string) {
		m_user = string;
	}

	/**
	 * @return
	 */
	public String getId() {
		return m_id;
	}

	/**
	 * @param string
	 */
	public void setId(String string) {
		m_id = string;
	}

}
